Bug 1476619 - missing BuildRequires: systemd
missing BuildRequires: systemd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcsc-lite-asekey (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 16:27 EDT by RJ Bergeron
Modified: 2017-08-09 15:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: pcsc-lite-asekey-3.7-6.fc27 pcsc-lite-asekey-3.7-5.fc26 pcsc-lite-asekey-3.7-4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-09 11:58:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RJ Bergeron 2017-07-30 16:27:09 EDT
Description of problem:

missing BuildRequires of systemd causes macro in specfile to not expand, landing package files in /

Version-Release number of selected component (if applicable):
3.7-4.fc26

How reproducible:
Always

Steps to Reproduce:
1. Install pcsc-lite-asekey
2. Observe file in /rules.d/92_pcscd_asekey.rules
3. Read the spec, find reference to pkg-config udev which requires udev pc files

Actual results:
File created in /rules.d/92_pcscd_asekey.rules

Expected results:
File created in /usr/lib/udev/rules.d/92_pcscd_asekey.rules

Additional info:
I did not check if previous platforms have a non-systemd udev provider, merely f26
Comment 1 RJ Bergeron 2017-07-30 16:27:38 EDT
Corrected version in use
Comment 2 Petr Pisar 2017-07-31 10:51:34 EDT
Thank you for the report. You are right. I will fix it.
Comment 3 Fedora Update System 2017-07-31 11:15:08 EDT
pcsc-lite-asekey-3.7-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0e950e4e9
Comment 4 Fedora Update System 2017-07-31 11:22:00 EDT
pcsc-lite-asekey-3.7-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b02d8af5d8
Comment 5 Fedora Update System 2017-08-01 19:49:14 EDT
pcsc-lite-asekey-3.7-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b02d8af5d8
Comment 6 Fedora Update System 2017-08-01 21:52:24 EDT
pcsc-lite-asekey-3.7-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0e950e4e9
Comment 7 Fedora Update System 2017-08-09 11:58:42 EDT
pcsc-lite-asekey-3.7-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-08-09 15:58:53 EDT
pcsc-lite-asekey-3.7-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.